PDA

View Full Version : &"warning: GDB: Failed to set controlling terminal: Invalid argument\n"



navid
12th December 2009, 10:07
hello,

what is this warning (only in debug run) and what is solution?

ubuntu 9.10
qt-sdk-x86 4.6

regards
navid

yodasoda
24th December 2009, 00:42
I habe the same problem on the same platform. the problem seems to be with the debugger used (GDB) and not Qt itself. GDB is also used with other tools like NetBeans. One possible solution I seen from reading their forums is to somehow Sett "Console Type" to "Output Window"

drave
5th January 2010, 16:52
anybody work out a solution? I'm getting the same problem on the same platform

cheers

dave

drave
5th January 2010, 17:09
well, i just found the answer for me

create a file Qt.conf in /etc/ld.so.conf.d with this content
# Qt libraries
/opt/qtsdk-2009.05/lib

or wherever your libraries are
then 'sudo ldconfig'

cheers

Astronomy
1st October 2010, 15:12
Hello,
i just ran into the same Problem on ubuntu 10.04 - 32bit and GNU gdb (GDB) 7.1-ubuntu, This GDB was configured as "i486-linux-gnu"

GDB worked quite fine several weeks, and suddenly it was very slow to debug and then i got the message: &"warning: GDB: Failed to set controlling terminal: Invalid argument\n"

Is there any other solution but Qt.conf?
Which i tried already?

regards Astronomy

rtpavlovsky
18th August 2011, 21:43
Qt 4.7.3, Ubuntu 10.4

Reverting back to gdb 6.6 worked, GDB has a ftp site that has .debs. It didn't take too long to build it.

kuschky
29th August 2012, 13:44
I had the same Problem with Ubuntu 10.04, QTCreator 2.5.2 and gdb 7.1 coming with ubuntu.

I could solve my problems with an upgrade to the current version 7.5 of gdb and using this instead the 7.1 installed by ubuntu.

You can download the latest and compile it by yourself

wget http://ftp.gnu.org/gnu/gdb/gdb-7.5.tar.gz
tar xvfz gdb-7.5.tar.gz
cd gdb-7.5
./configure
make
cp gdb/gdb /usr/local/bin

Take care about that the /usr/local/bin is at the beginning of the PATH you are using while running QtCreator
You can place the following line into your .profile

export PATH=$PATH:/usr/local/bin

gayathrisekaran
8th November 2012, 12:26
i have the same problem with ubuntu 10.04, QTCreator bt with gdb7.5 coming with ubuntu.
While debugging starts it shows the following.

&"warning: GDB: Failed to set controlling terminal: Invalid argument\n"
Cannot call inferior functions, you have broken Linux kernel i386 NX (non-executable pages) support!

Any1 tel me y it is showing this error.